MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030886Open CASCADE[OCCT] OCCT:Documentationpublic2019-08-09 19:122019-09-29 12:36
Reporternds 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030886: Documentation - provide information about some changes in upgrade 7.4.0
DescriptionSome code modifications causes different result in a custom application. These modifications should be mentioned in upgrade guide:

- Font_FontAspect enum digits have different values (0030439),
- Graphic3d_PolygonOffset default value change (0030716),
- AddZLayer inserts layer before Graphic3d_ZLayerId_Top, the previous implementation inserted it above all layers(0030668).


TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0030439verifiedbugmaster Visualization - extend fonts search within Font_FontMgr::FindFont() on Linux 
parent of 0030668verifiedbugmaster Visualization - revise adding ZLayer API 
has duplicate 0030887verifiedbugmaster Visualization - provide information about Graphic3d_PolygonOffset default value change in upgrade 7.4.0 

-  Notes
(0087373)
git (administrator)
2019-09-20 18:03

Branch CR30886 has been created by nds.

SHA-1: f56cc456d924ab539f6a3d6cb6b57b028267a797


Detailed log of new commits:

Author: nds
Date: Fri Sep 20 17:59:59 2019 +0300

    0030886: Visualization - provide information about some changes in upgrade 7.4.0
(0087502)
nds (developer)
2019-09-25 10:21

Dear Kirill,

please review modifications.
(0087505)
git (administrator)
2019-09-25 11:14

Branch CR30886_1 has been created by kgv.

SHA-1: 54ba12372b5f6db4818bf7722718b91c19f3c0df


Detailed log of new commits:

Author: nds
Date: Fri Sep 20 17:59:59 2019 +0300

    0030886: Documentation - provide information about some changes in upgrade 7.4.0
(0087507)
git (administrator)
2019-09-25 11:16

Branch CR30886_1 has been updated forcibly by kgv.

SHA-1: 0b994809011c9e5fda28e25dff5cd8b41d15c9de
(0087617)
git (administrator)
2019-09-29 12:36

Branch CR30886 has been deleted by inv.

SHA-1: f56cc456d924ab539f6a3d6cb6b57b028267a797
(0087618)
git (administrator)
2019-09-29 12:36

Branch CR30886_1 has been deleted by inv.

SHA-1: 0b994809011c9e5fda28e25dff5cd8b41d15c9de

- Related Changesets
occt: master 8aafd5f9
Timestamp: 2019-09-20 14:59:59
Author: nds
Committer: bugmaster
Details ] Diff ]
0030886: Documentation - provide information about some changes in upgrade 7.4.0

Modifications added to upgrade guide:
- Font_FontAspect enum digits have different values (0030439),
- Graphic3d_PolygonOffset default value change (0030716),
- AddZLayer inserts layer before Graphic3d_ZLayerId_Top, the previous implementation inserted it above all layers(0030668).
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-08-09 19:12 nds New Issue
2019-08-09 19:12 nds Assigned To => kgv
2019-08-09 19:13 nds Relationship added related to 0030439
2019-09-04 16:24 kgv Assigned To kgv => nds
2019-09-20 15:06 nds Summary Visualization - provide information about Font_FontAspect enum change in upgrade 7.4.0 => Visualization - provide information about some changes in upgrade 7.4.0
2019-09-20 15:06 nds Description Updated View Revisions
2019-09-20 15:08 nds Relationship added parent of 0030668
2019-09-20 15:09 nds Relationship added parent of 0030887
2019-09-20 18:03 git Note Added: 0087373
2019-09-25 10:21 nds Note Added: 0087502
2019-09-25 10:21 nds Assigned To nds => kgv
2019-09-25 10:21 nds Status new => resolved
2019-09-25 11:14 git Note Added: 0087505
2019-09-25 11:14 kgv Assigned To kgv => bugmaster
2019-09-25 11:14 kgv Status resolved => reviewed
2019-09-25 11:14 kgv Category OCCT:Visualization => OCCT:Documentation
2019-09-25 11:14 kgv Product Version => 7.4.0
2019-09-25 11:14 kgv Summary Visualization - provide information about some changes in upgrade 7.4.0 => Documentation - provide information about some changes in upgrade 7.4.0
2019-09-25 11:15 kgv Relationship replaced has duplicate 0030887
2019-09-25 11:16 git Note Added: 0087507
2019-09-25 17:30 bugmaster Test case number => Not required
2019-09-25 17:31 bugmaster Status reviewed => tested
2019-09-29 12:19 bugmaster Changeset attached => occt master 8aafd5f9
2019-09-29 12:19 bugmaster Status tested => verified
2019-09-29 12:19 bugmaster Resolution open => fixed
2019-09-29 12:36 git Note Added: 0087617
2019-09-29 12:36 git Note Added: 0087618


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker